summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/CEGUI/CEGUI.SlackBuild57
-rw-r--r--libraries/CEGUI/CEGUI.info8
-rw-r--r--libraries/CEGUI/README21
-rw-r--r--libraries/CEGUI/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/CEGUI/CEGUI.SlackBuild b/libraries/CEGUI/CEGUI.SlackBuild
new file mode 100644
index 0000000000..77008519a0
--- /dev/null
+++ b/libraries/CEGUI/CEGUI.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for CEGUI
+# Written by Phil Warner <pc_warner@yahoo.com>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=CEGUI
+VERSION=0.5.0
+PKG_VERSION=${VERSION}b
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PKG_VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-debug
+
+make force_arch="$ARCH"
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING README ChangeLog TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/CEGUI/CEGUI.info b/libraries/CEGUI/CEGUI.info
new file mode 100644
index 0000000000..3bcdfa3060
--- /dev/null
+++ b/libraries/CEGUI/CEGUI.info
@@ -0,0 +1,8 @@
+PRGNAM="CEGUI"
+VERSION="0.5.0"
+HOMEPAGE="http://www.cegui.org.uk/wiki/index.php/Main_Page"
+DOWNLOAD="http://downloads.sourceforge.net/crayzedsgui/CEGUI-0.5.0b.tar.gz"
+MD5SUM="b42322a33c6a06eede76b15f75694a17"
+MAINTAINER="Phil Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="rworkman"
diff --git a/libraries/CEGUI/README b/libraries/CEGUI/README
new file mode 100644
index 0000000000..9bc1a2666a
--- /dev/null
+++ b/libraries/CEGUI/README
@@ -0,0 +1,21 @@
+CEGUI - windowing and widget library
+
+Crazy Eddie's GUI System is a free library providing windowing and widgets for
+graphics APIs / engines where such functionality is not natively available, or
+severely lacking. The library is object orientated, written in C++, and
+targeted at games developers who should be spending their time creating great
+games, not building GUI sub-systems!
+
+The configure script for CEGUI will detect whether or not you have an optional
+dependency installed or not and will enable/disable the option accordingly.
+However, you may want to specify this yourself. In particular, pay attention
+to the image codecs because you might want to disable the others to ensure that
+the one you want to use is the default codec.
+
+Some of the optional libraries include:
+ Xerces-C++ XML parser (xerces-c at SlackBuilds.org)
+ LibXML XML parser (libxml at SlackBuilds.org)
+ DevIL image loading library (DevIL at SlackBuilds.org)
+ FreeImage image loading library (FreeImage at SlackBuilds.org)
+ Corona image loading library (NOT available at SlackBuilds.org)
+ Others perhaps - see output of "configure --help"
diff --git a/libraries/CEGUI/slack-desc b/libraries/CEGUI/slack-desc
new file mode 100644
index 0000000000..ad82f60501
--- /dev/null
+++ b/libraries/CEGUI/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+CEGUI: CEGUI (windowing and widget library)
+CEGUI:
+CEGUI: Crazy Eddie's GUI System is a free library providing windowing and
+CEGUI: widgets for graphics APIs / engines where such functionality is not
+CEGUI: natively available, or severely lacking. The library is object
+CEGUI: orientated, written in C++, and targeted at games developers who
+CEGUI: should be spending their time creating great games, not building GUI
+CEGUI: sub-systems!
+CEGUI:
+CEGUI: http://www.cegui.org.uk/wiki/index.php/Main_Page
+CEGUI: